Translations:Faq/General/015/3/cs

From The Document Foundation Wiki
Jump to navigation Jump to search

V současné době (ve verzi 6.3) vyžadují jazyk Java minimálně tyto komponenty/funkcionality:

  • HSQLDB (volitelně se používá pro integrovanou databázi v modulu Base; výchozí je Firebird, která není závislá na Javě)
  • JDBC
  • Někteří průvodci (částečně průvodci Tabulek/Dotazů/Formulářů/Sestav v modulu Base)
  • ReportBuilder (používá se pro generování aktuálních reportů z šablony v modulu Base)
  • Vestavěné rozšíření nelineární řešitel, které najdete v modulu Calc (můžeme použít experimentální Swarm řešitel, který není závislý na Javě)
  • Rozšíření MediaWiki (Wiki Publisher)
  • Podpora pro skripty a rozšíření napsané v jazyce Java/Beans